For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set/Update Webhook URL

Allows setting or updating the URL where webhook events will be sent.

Your webhook URL must be a server endpoint that accepts HTTP POST requests. This is essential, as webhook events are delivered via POST.

Set or update the webhook Url.

POST https://api.onramp.money/onramp/api/v1/merchant/setWebhookUrl

Request Body

Name
Type
Description

webhookUrl*

String

Your webhook url

{
  "status": 1,
  "code": 200,
  "data": 'Webhook url set to https://yourWebhookUrl.com'
}

{
  "status": 1,
  "code": 200,
  "data": 'Webhook url set to https://yourWebhookUrl.com'
}
  • status -> 0 is for unsuccessful request, 1 is for a successful one

  • code -> Provides more specific information about the status of the webhook update request. Below are some possible values and their meanings:

    • 200 -> Webhook was successfully updated.

    • 400 -> A required parameter is missing in the request.

    • 500 -> Onramp.money servers are currently down; please try again later

Last updated